Function
compactAlignedReads
Removes invalid aligned reads and rename alignId sequentially beginning with 0.
compactAlignedReads(store)
Include Headers
seqan/store.h
Parameters

store | The fragment store. Types: FragmentStore

Remarks
This function removes all entries from alignedReadStore whose alignId equals to INVALID_ID as well as orphan entries in alignQualityStore. Afterwards the alignIds are renamed sequentially beginning with 0. This function can be used to remove alignments which are selected by previously setting their id to INVALID_ID.
Return Values
The new size of the alignedReadStore.
Member of
FragmentStore
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58